<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FTPFileCallbacks Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classFTPFileCallbacks.html#a9694f9a616a82f44af6be0fd9eb90df3">onDir</a>() override</td><td class="entry"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFTPFileCallbacks.html#a541964c7f8f736dc156b94c0e80dcfba">onRetrieveData</a>(uint8_t *data, size_t size) override</td><td class="entry"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFTPFileCallbacks.html#ae6ba0c51e599e963d1584a0a46287f1f">onRetrieveEnd</a>() override</td><td class="entry"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFTPFileCallbacks.html#a75e9f0177e3d66f0d07e875d755dac7e">onRetrieveStart</a>(std::string fileName) override</td><td class="entry"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFTPFileCallbacks.html#aac5fb14e31fa780430e0686b14589f8d">onStoreData</a>(uint8_t *data, size_t size) override</td><td class="entry"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFTPFileCallbacks.html#a774689d1eec3358d7258684d6df0e863">onStoreEnd</a>() override</td><td class="entry"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFTPFileCallbacks.html#a8ff3abdbfa9aec3a0c2cb6326f0857c7">onStoreStart</a>(std::string fileName) override</td><td class="entry"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~FTPCallbacks</b>() (defined in <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>)</td><td class="entry"><a class="el" href="classFTPCallbacks.html">FTPCallbacks</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
